ingress:
  enabled: true
  className: traefik
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
  hosts:
    - host: woodpecker.dvirlabs.com
      paths:
        - path: /
          pathType: Prefix

service:
  http:
    port: 9000

server:
  env:
    WOODPECKER_HOST: https://woodpecker.dvirlabs.com
    WOODPECKER_GITEA: "true"
    WOODPECKER_GITEA_URL: https://git.dvirlabs.com
    WOODPECKER_GITEA_CLIENT: 96d0c4bf-d199-421b-836e-ac358c9f6053
    WOODPECKER_GITEA_SECRET: gto_3c5lbwhjynxjn7q62hrbswipv5z7b6botdch3vdpjnqei6prxqxa
    WOODPECKER_ADMIN: dvirlabs
    WOODPECKER_AGENT_SECRET: wpsecret123
    WOODPECKER_OPEN: "true"
    WOODPECKER_PLUGINS_PRIVILEGED: woodpeckerci/plugin-docker-buildx
    WOODPECKER_PLUGINS_TRUSTED: woodpeckerci/plugin-docker-buildx
    WOODPECKER_PROMETHEUS_AUTH_TOKEN: prometheusmetricstoken
  createAgentSecret: true
  service:
    port: 80
    type: ClusterIP
  persistentVolume:
    enabled: true
    size: 10Gi
    mountPath: /var/lib/woodpecker
    storageClass: nfs-client

  image:
    repository: woodpeckerci/woodpecker-server
    tag:  v3.15.0
    pullPolicy: IfNotPresent

agent:
  kind: Deployment
  enabled: true
  env:
    WOODPECKER_SERVER: woodpecker-server:9000
    WOODPECKER_AGENT_SECRET: wpsecret123
    WOODPECKER_BACKEND_K8S_NAMESPACE: dev-tools
    WOODPECKER_BACKEND_K8S_SECCTX_NONROOT: "false"
    WOODPECKER_BACKEND_K8S_ALLOW_NATIVE_SECRETS: "true"
    WOODPECKER_BACKEND_K8S_PULL_SECRET_NAMES: harbor-registry-cred
  securityContext:
    privileged: true

  image:
    repository: woodpeckerci/woodpecker-agent
    tag: v3.15.0
    pullPolicy: IfNotPresent
    

  persistence:
    enabled: false

  extraVolumeMounts:
    - name: build-cache
      mountPath: /etc/woodpecker
  extraVolumes:
    - name: build-cache
      emptyDir: {}

nodeSelector:
  workload: general

affinity:
  nodeAffinity:
    requiredDuringSchedulingIgnoredDuringExecution:
      nodeSelectorTerms:
        - matchExpressions:
            - key: workload
              operator: In
              values:
                - general
            - key: node-role.kubernetes.io/control-plane
              operator: DoesNotExist
